Bug 711229 - Review Request: ruby-spqr - easy QMF agent framework for Ruby
Summary: Review Request: ruby-spqr - easy QMF agent framework for Ruby
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-06 21:52 UTC by Will Benton
Modified: 2012-01-15 19:59 UTC (History)
5 users (show)

Fixed In Version: ruby-spqr-0.3.5-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-14 03:57:24 UTC
tcallawa: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Will Benton 2011-06-06 21:52:47 UTC
Spec URL: http://packages.getwallaby.com/ruby-spqr.spec
SRPM URL: http://packages.getwallaby.com/ruby-spqr-0.3.3-2.fc14.src.rpm
Description: SPQR makes it very simple to expose methods on Ruby objects over the Qpid Management Framework.

Comment 1 Will Benton 2011-09-22 02:37:17 UTC
A new SRPM is available at http://packages.getwallaby.com/ruby-spqr-0.3.3-4.fc14.src.rpm

Comment 2 Will Benton 2011-10-31 19:45:05 UTC
The most recent SRPM is available from packages.getwallaby.com.

Comment 3 Tom "spot" Callaway 2011-11-04 18:13:12 UTC
== Review ==
Good:

- rpmlint checks return:
ruby-spqr.noarch: W: spurious-executable-perm /usr/share/doc/ruby-spqr-0.3.4/examples/hello.rb
ruby-spqr.noarch: W: doc-file-dependency /usr/share/doc/ruby-spqr-0.3.4/examples/logservice.rb /usr/bin/env
spqr-gen.noarch: W: spelling-error Summary(en_US) xml -> XML, ml, x ml
spqr-gen.noarch: W: no-manual-page-for-binary spqr-gen.rb

All safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (ASL 2.0) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (d3ef30d1000f1f00187cc1a6d59d8713e37701b21d4ff4c90368f55a33ad6e5a)
- package compiles on f16 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

It all looks good, so I'm marking this as APPROVED.

One minor item: I don't think there is a need for Requires: ruby, since you have Requires: ruby(abi) = 1.8, but this should be safe to remove before committing to Fedora git.

Comment 4 Vít Ondruch 2011-11-08 17:59:59 UTC
Hi, could you please enlighten me why did you packaged the library as Ruby library instead of RubyGem?

Comment 5 Will Benton 2011-12-22 16:24:16 UTC
New Package SCM Request
=======================
Package Name: ruby-spqr
Short Description: easy QMF agent framework for Ruby
Owners: willb
Branches: f15 f16
InitialCC:

Comment 6 Gwyn Ciesla 2011-12-22 16:39:03 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-01-04 22:24:32 UTC
ruby-spqr-0.3.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ruby-spqr-0.3.5-1.fc16

Comment 8 Fedora Update System 2012-01-04 22:25:14 UTC
ruby-spqr-0.3.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ruby-spqr-0.3.5-1.fc15

Comment 9 Fedora Update System 2012-01-05 21:00:12 UTC
ruby-spqr-0.3.5-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 10 Fedora Update System 2012-01-14 03:57:24 UTC
ruby-spqr-0.3.5-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2012-01-15 19:57:44 UTC
ruby-spqr-0.3.5-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2012-01-15 19:59:39 UTC
ruby-spqr-0.3.5-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.